<div class="container">
    <h2>
        Surat Retur {{noretur}}
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row ui-g-4">
                 <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="input_tgl">No Surat Retur</label>
                        </div>
                        <div class="ui-g-8">
                            <input class="form-control" name="hal" id="field_hal" [(ngModel)]="retur.noretur" readonly>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="input_tgl">Tanggal Dokumen</label>
                        </div>
                        <div class="ui-g-6">
                            <p-calendar inputId="input_tgl" name="input_tgl" [(ngModel)]="tgl"
                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                            yearRange="2000:2999" appendTo="body"></p-calendar>
                        </div>
                    </div>
                </div>
               
                <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="input_dttax">Tanggal Faktur Pajak</label>
                        </div>
                        <div class="ui-g-6">
                            <p-calendar inputId="input_dttax" name="input_dttax" [(ngModel)]="dttax"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-12">
                            <label class="form-control-label" for="input_hal">Kepada Yth : </label>
                        </div>
                        <div class="ui-g-12">
                            <input class="form-control" placeholder="Input PIC Supplier" name="picspl" id="field_picspl"
                                [(ngModel)]="retur.picspl" [disabled]="!isEdit" />
                        </div>
                        <div class="ui-g-12">
                            <input class="form-control" name="suppname" id="field_suppname" [(ngModel)]="spl.nmSupplier"
                                [disabled]="!isEdit" />
                        </div>
                        <div class="ui-g-12">
                            <input class="form-control" name="almtSupplier1" id="field_almtSupplier1"
                                [(ngModel)]="spl.almtSupplier1" [disabled]="!isEdit" />
                            <input class="form-control" name="almtSupplier2" id="field_almtSupplier2"
                                [(ngModel)]="spl.almtSupplier2" [disabled]="!isEdit" />
                        </div>
                        <div class="ui-g-12">
                            <label class="form-control-label" for="input_telp">Telp : </label>
                            <input class="form-control" name="telp" id="field_telp" [(ngModel)]="spl.telp"
                                [disabled]="!isEdit" />
                        </div>
                        <div class="ui-g-12">
                            <label class="form-control-label" for="input_fax">Fax : </label>
                            <input class="form-control" name="fax" id="field_fax" [(ngModel)]="spl.fax"
                                [disabled]="!isEdit" />
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="input_hal">Hal</label>
                        <input class="form-control" name="hal" id="field_hal" [(ngModel)]="retur.hal"
                            [disabled]="!isEdit" />
                    </div>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="input_header">Header</label>
                        <textarea pInputTextarea class="form-control" id="field_header" name="header" [rows]="6"
                            [cols]="30" autoResize="autoResize" [(ngModel)]="retur.srtheader" [disabled]="!isEdit">
                        </textarea>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'union-lhp-lov/SR'  } }]" replaceUrl="true"
                label="cari" class="btn btn-danger btn-block" [disabled]="!isEdit">
                <span>Cari Nomor LHP</span>
            </button>
        </div>
        <div class="ui-g-12">
            <div class="row">
                <p-dataTable [value]="returItems" [editable]="true" [responsive]="true">
                    <header>
                    </header>
                    <p-column header="No">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nomor LHP">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <input type="text" style="width: 200px;" [(ngModel)]="rowData.nolhp" [hidden]="true"/>
                            <a (click)="openPdf(rowData)">{{rowData.nolhp}}</a>
                        </ng-template>
                    </p-column>
                    <p-column header="Nama Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <input type="text" style="width: 200px;" [(ngModel)]="rowData.productcode" [disabled]="true"/>
                            <textarea [(ngModel)]="rowData.productname" autofocus="autofocus" rows="1" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;" [disabled]="rowData.is_bbk">
                            </textarea>
                        </ng-template>
                    </p-column>
                    <p-column header="No & Tgl PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nopo}}
                            <br>
                            {{rowData.dtpo | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Batch">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <textarea [(ngModel)]="rowData.nobatch" autofocus="autofocus" rows="1" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;" [disabled]="rowData.is_bbk">
                            </textarea >
                        </ng-template>
                    </p-column>
                    <p-column header="QTY SJ">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty_sj}}
                            <input type="number" style="width: 200px;" [(ngModel)]="rowData.qty_sj" [hidden]="true"/>
                        </ng-template>
                    </p-column>
                    <p-column header="Kode & Tgl Produksi" [hidden]="true">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <textarea [(ngModel)]="rowData.kodeproduksi" autofocus="autofocus" rows="1" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;">
                            </textarea>
                            <br>
                            <p-calendar name="input_dtproduksi"
                            [(ngModel)]="rowData.dtproduksi" dateFormat="dd-MM-yy" [monthNavigator]="true"
                            [yearNavigator]="true" yearRange="2000:2999" appendTo="body" ></p-calendar>
                        </ng-template>
                    </p-column>
                    <p-column header="No Pallet" [hidden]="true">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <textarea [(ngModel)]="rowData.nopalet" autofocus="autofocus" rows="1" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;">
                            </textarea>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah Pallet" [hidden]="true">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <input type="number" style="width: 200px;" [(ngModel)]="rowData.jmlpalet" />
                        </ng-template>
                    </p-column>    
                    <p-column header="QTY LU">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty_lu}}
                        </ng-template>
                    </p-column>
                    <p-column header="QTY TLU">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty_tlu}}
                        </ng-template>
                    </p-column>
                    <p-column header="UOM">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.uom}}
                        </ng-template>
                    </p-column>
                    <p-column header="Ketidaksesuaian">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <textarea [(ngModel)]="rowData.Ketidaksesuaian" autofocus="autofocus" rows="1" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;" [disabled]="rowData.is_bbk">
                            </textarea>  
                        </ng-template>
                    </p-column>
                    <p-column header="Catatan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <textarea [(ngModel)]="rowData.catatan" autofocus="autofocus" rows="3" cols="30"
                                pInputTextarea autoResize="autoResize" style="width: 200px;" [disabled]="rowData.is_bbk">
                            </textarea>  
                        </ng-template>
                    </p-column>
                    <p-column header="Aksi">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="submit" (click)="deleteRow(rowData)"
                                class="ui-button-danger flat-label-button" icon="fa fa-remove" pTooltip="Hapus Item" [disabled]="rowData.is_bbk">
                            </button>
                        </ng-template>
                    </p-column>
                </p-dataTable>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="input_footer">Footer</label>
                    <textarea pInputTextarea class="form-control" id="field_footer" name="footer" [rows]="6" [cols]="30"
                        autoResize="autoResize" [(ngModel)]="retur.srtfooter" [disabled]="!isEdit">
                        </textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="input_CC">CC</label>
                    <textarea pInputTextarea class="form-control" id="field_CC" name="CC" [rows]="5" [cols]="30"
                        autoResize="autoResize" [(ngModel)]="retur.srtcc" [disabled]="!isEdit">
                        </textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="input_reff">Reff</label>
                    <textarea pInputTextarea class="form-control" id="field_reff" name="reff" [rows]="5" [cols]="30"
                        autoResize="autoResize" [(ngModel)]="retur.srtreff" [disabled]="!isEdit">
                        </textarea>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" for="input_reff">Keterangan</label>
                    <textarea pInputTextarea class="form-control" id="field_keterangan" name="keterangan" [rows]="5" [cols]="30"
                        autoResize="autoResize" [(ngModel)]="retur.srtfooter2" [disabled]="!isEdit">
                        </textarea>
                </div>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div class="ui-g-2">
            </div>
            <div class="ui-g-12">
                <div class="btn-group flex-btn-group-container">
                    <div *ngIf="!isUpdate">
                        <button pButton type="submit" label="Simpan" icon="fa-save"
                            class="ui-button-primary flat-label-button" (click)="createRetur()" [disabled]="!isEdit">
                        </button>
                    </div>
                    <div *ngIf="isUpdate">
                        <button pButton type="submit" label="update" icon="fa-save"
                            class="ui-button-primary flat-label-button" (click)="updateRetur()">
                        </button>
                    </div>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>